Token payroll

Bulk Upload Token Payroll CSV

Creates token payrolls, entities and contributors in bulk from parsed CSV rows tagged CSV_UPLOAD.

POSThttps://api.toku.com/stablecoin-payroll/bulk-upload-token-payroll-csv

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/bulk-upload-token-payroll-csv' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "rows": [
    {
      "externalPayrollID": "string",
      "externalEmployeeID": "string",
      "email": "user@example.com",
      "totalPayrollAmount": "string",
      "totalDeductionAmount": "string",
      "netPayrollAmount": "string",
      "givenName": "string",
      "familyName": "string",
      "payPeriodStartDate": "string",
      "payPeriodEndDate": "string",
      "payDate": "string",
      "fiatCurrency": "string",
      "country": "string",
      "payrollGroup": "string",
      "integrationEntityName": "string",
      "payrollIntegrationEntityId": "string",
      "isStablecoinOnlySettlement": true
    }
  ]
}'
200 response
{
  "tokenPayrolls": [
    {
      "tokenPayroll": {
        "tokenPayrollID": "string",
        "paymentBackend": "string",
        "paymentOwnershipVersion": 0,
        "orgID": "string",
        "name": "string",
        "payPeriodStart": "string",
        "payPeriodEnd": "string",
        "payDate": "string",
        "externalPayrollID": "string",
        "fiatCurrency": "string",
        "payrollEntityId": "string",
        "state": "string",
        "type": "string",
        "payrollGroup": "string",
        "integrationEntityName": "string",
        "payrollIntegrationEntityId": "string",
        "isFiatPayrollComplete": true,
        "isTokenPayrollComplete": true,
        "fundingEmailSent": true,
        "adpDeductionsVerified": true,
        "payrollSyncedSource": "string",
        "isPlaceholder": true,
        "selectedTokenTypeID": "string",
        "isStablecoinOnlySettlement": true,
        "createdAt": "string",
        "updatedAt": "string"
      },
      "contributors": [
        {
          "contributorInTokenPayrollID": "string",
          "tokenPayrollID": "string",
          "roleInOrgID": "string",
          "invoicePaymentID": "string",
          "totalPayrollAmount": "string",
          "totalDeductionAmount": "string",
          "netPayrollAmount": "string",
          "currency": "string",
          "tokenTypeID": "string"
        }
      ],
      "entityInfo": {
        "wasReused": true,
        "existingName": "string",
        "attemptedName": "string"
      },
      "skipped": true,
      "skipReason": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

rowsobject[]required

Allowed: 1 to 10000 items

Show child attributes
externalPayrollIDstringrequired

Allowed: 1 to 200 characters

externalEmployeeIDstring

Allowed: at most 200 characters

emailstring<email>required
totalPayrollAmountstringrequired

Allowed: 1 to 100 characters

totalDeductionAmountstringrequired

Allowed: 1 to 100 characters

netPayrollAmountstringrequired

Allowed: 1 to 100 characters

givenNamestring

Allowed: at most 200 characters

familyNamestring

Allowed: at most 200 characters

payPeriodStartDatestringrequired

Allowed: 1 to 50 characters

payPeriodEndDatestringrequired

Allowed: 1 to 50 characters

payDatestringrequired

Allowed: 1 to 50 characters

fiatCurrencystringrequired

Allowed: 1 to 20 characters

countrystringrequired

Allowed: 1 to 100 characters

payrollGroupstring

Allowed: at most 100 characters

integrationEntityNamestring

Allowed: at most 200 characters

payrollIntegrationEntityIdstring

Allowed: at most 200 characters

isStablecoinOnlySettlementboolean

Response

200Successful response
tokenPayrollsobject[]required
Show child attributes
tokenPayrollobjectrequired
Show child attributes
tokenPayrollIDstringrequired
paymentBackendstring | nullrequired
paymentOwnershipVersionintegerrequired
orgIDstringrequired
namestring | nullrequired
payPeriodStartstringrequired
payPeriodEndstringrequired
payDatestringrequired
externalPayrollIDstring | nullrequired
fiatCurrencystringrequired
payrollEntityIdstring | nullrequired
statestringrequired
typestringrequired
payrollGroupstring | nullrequired
integrationEntityNamestring | nullrequired
payrollIntegrationEntityIdstring | nullrequired
isFiatPayrollCompletebooleanrequired
isTokenPayrollCompletebooleanrequired
fundingEmailSentbooleanrequired
adpDeductionsVerifiedbooleanrequired
importedDataanyrequired
payrollSyncedSourcestring | nullrequired
isPlaceholderbooleanrequired
selectedTokenTypeIDstring | nullrequired
isStablecoinOnlySettlementbooleanrequired
createdAtstringrequired
updatedAtstringrequired
contributorsobject[]required
Show child attributes
contributorInTokenPayrollIDstringrequired
tokenPayrollIDstringrequired
roleInOrgIDstringrequired
invoicePaymentIDstring | nullrequired
totalPayrollAmountstringrequired
totalDeductionAmountstringrequired
netPayrollAmountstringrequired
currencystring | nullrequired
tokenTypeIDstring | nullrequired
entityInfoobjectrequired
Show child attributes
wasReusedbooleanrequired
existingNamestring | nullrequired
attemptedNamestring | nullrequired
skippedboolean
skipReasonstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits